<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="ointroduccion.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	/* Vamos a crear una clase */

	class Persona{
		// propiedad privada
		#nombre="";
		// metodos publicos
		dormir(){
			console.log("ZZZZZZZZZZZZ");
		};
		
		hablar(){
			console.log("BLA BLA BLA");
		};
		
		contar(){
			console.log("1 2 3 4 5 6");
		};
	
		// setter
		set nombre(valor){
			this.#nombre=valor;
		};
		
		//getter
		get nombre(){
			return this.#nombre;
		};
	}
	
	/* vamos a crear un objeto con una instancia de la clase */
	const alumno=new Persona();
	
	alumno.dormir();
	alumno.hablar();
	alumno.contar();
	alumno.nombre="ramon";
	console.log(alumno.nombre);

</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejemplo Introduccion
</div>
<div class="explicacion">
	Mediante este ejemplo vamos a ver como crear un clase y generar un objeto a traves de ella.
</div>
</div>
</body>
</html>
